<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Confirm Order</title>
    <link rel="icon" type="image/png" sizes="16x16" href="./images/favicon.png">
	<link href="/vendor/bootstrap-select/dist/css/bootstrap-select.min.css" rel="stylesheet">
	<link href="/css/style.css" rel="stylesheet">
	<script src="https://unpkg.com/cart-localstorage@1.1.4/dist/cart-localstorage.min.js" type="text/javascript"></script>
    <link rel="stylesheet" href="https://earthchie.github.io/jquery.Thailand.js/jquery.Thailand.js/dist/jquery.Thailand.min.css">
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
</head>
<body>
    <div id="preloader">
		<div class="sk-three-bounce">
			<div class="sk-child sk-bounce1"></div>
			<div class="sk-child sk-bounce2"></div>
			<div class="sk-child sk-bounce3"></div>
		</div>
	</div>

    <div class="container-fluid" style="max-width:70%;text-align:center;">
        <div class="row page-titles mx-0" style="display:fix;">
            <div class="col-sm-12 p-md-0 col-12">
                <div class="welcome-text">
                    <h4 class="text-success">Hi, welcome to Ban Nay Din Shop!</h4>
						<p class="mb-0">สวัสดี, ยินดีต้อนรับสู่ บ้านนายดิน!</p>
                </div>
            </div>
        </div>
    </div>
    <div class="container-fluid" style="max-width:100%;text-align:center;">
        <h1>Order</h1>
        <div class="row page-titles">
            <div class="col-12">
                <table class="table">
                    <thead class="thead-light">
                        <tr>
                            <th scope="col">No.</th>
                            <th scope="col">รายการสั่งซื้อ</th>
                            <th scope="col">จำนวน</th>
                            <th scope="col">ราคา</th>
                            <th scope="col">ส่วนลด</th>
                            <th scope="col">ราคารวม</th>
                        </tr>
                    </thead>
                    <tbody>
                        <% for(let i = 0 ; i < Cart.length ; i++) {%>
                        <tr>
                            <th scope="row"><%= i + 1 %></th>
                            <td><%=Cart[i].name%></td>
                            <td><%=Cart[i].quantity %></td>
                            <td><%=Cart[i].price * Cart[i].quantity  %> บาท</td>
                            <td></td>
                            <td><%= Cart[i].price * Cart[i].quantity %> บาท</td>
                        </tr> 
                        <% } %>
                        <tr>
                            <td scope="row"></td>
                            <td>รวม </td>
                            <td ><%= totalQty %> ชิ้น</td>
                            <td><%= totalPrice %> บาท </td>
                            <td style="color:red;"><%= discount %> บาท </td>
                            <td style="color:green;"><%= totalPrice - discount %>บาท</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div class="container-fluid" style="max-width:100%;text-align:center;" >
        <h1>Address</h1>
        <div class="row page-titles">
            <div class="col-12">
                <table class="table">
                    <thead class="thead-light">
                        <tr>
                            <th scope="col">ชื่อ-นามสกุล</th>
                            <th scope="col">เบอร์โทร</th>
                            <th scope="col">ที่อยู่</th>
                            <th scope="col">ตำบล/แขวง</th>
                            <th scope="col">อำเภอ/เขต</th>
                            <th scope="col">จังหวัด</th>
                            <th scope="col">รหัสไปรษณีย์</th>
                            <th scope="col">อีเมล</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr></tr>
                            <td><%=Data.Name%></td>
                            <td><%=Data.Numberphone%></td>
                            <td><%=Data.Address%></td>
                            <td><%=Data.District%></td>
                            <td><%=Data.Amphoe%></td>
                            <td><%=Data.Province%></td>
                            <td><%=Data.Zipcode%></td>
                            <td><%=Data.Email%></td>
                        </tr> 
                    </tbody>
                </table>
            </div>
    </div>
    <button type="button" class="btn btn-rounded btn-primary col-4 mt-2" onclick="BuyOrder()">ส่งคำสั่งซื้อ</button>
    <button type="button" class="btn btn-rounded btn-warning col-4 mt-2" onclick="Back()">ยกเลิก</button>

    <script src="/vendor/global/global.min.js"></script>
	<script src="/vendor/bootstrap-select/dist/js/bootstrap-select.min.js"></script>
	<script src="/vendor/chart.js/Chart.bundle.min.js"></script>
	<script src="/js/custom.min.js"></script>
	<script src="/js/deznav-init.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
	<!-- Apex Chart -->
	<script src="/vendor/apexchart/apexchart.js"></script>
    <!-- Axios -->
    <script src="https://cdn.jsdelivr.net/npm/axios@1.1.2/dist/axios.min.js"></script>
    <!-- Auto Complate -->
    <script>
        function Back(){
            window.location = '/'
        }
        function BuyOrder(){
            Swal.fire('สั่งซื้อสำเร็จ','','success').then(()=>{
                window.location = '/ordersuccess'
            })
        }
    </script>
</body>
</html>